# Tag Name: set

## Description

Assigns a value to a variable in a specified scope

## Attributes

#### Dynamic Attributes Allowed: false
#### Name | #### Required | #### Default | #### Evaluated | #### Type | #### Description
--- | --- | --- | --- | --- | ---
scope | false | action | false | String | The scope in which to assign the variable. Can be application, session, request, page, or action.
trimBody | false | true | false | Boolean | Set to false to prevent the default whitespace-trim of this tag's body content
value | false |  | false | String | The value that is assigned to the variable named name
var | true |  | false | String | Name used to reference the value pushed into the Value Stack